package com.bonus.canteen.core.pay.common.constants;

public enum CancelResultEnum {
   CANCEL_SUCCESS(1, "取消成功"),
   CANCEL_FAIL(2, "取消失败"),
   CANCEL_FAIL_RESET(3, "取消失败，需重新取消");

   private final Integer key;
   private final String desc;

   private CancelResultEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      CancelResultEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         CancelResultEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
